DirectX 特权提升漏洞

CVE编号

CVE-2020-1479

利用情况

暂无

补丁情况

N/A

披露时间

2020-08-11
漏洞描述
Microsoft Windows是一套个人设备使用的操作系统。Microsoft Windows Server是一套服务器操作系统。DirectX是其中的一个多媒体系统链接库。<br />
Microsoft DirectX存在权限提升漏洞。该漏洞源于程序未正确处理内存中对象。攻击者可利用该漏洞通过登录到系统并运行特制的应用程序在内核模式中运行任意代码。攻击者安装程序、查看、更改或删除数据、创建具有完全用户权限的新帐户。以下产品及版本受到影响:Windows 10 1709、Windows 10 1803、Windows 10 1809、Windows 10 1903、Windows 10 1909、Windows 10 2004、Windows Server 2019、Windows Server 1903、Windows Server 1909、Windows Server 2004版本。<br />
&nbsp;

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 alibaba_cloud_linux_2.1903 mysql * Up to
(excluding)
11.0.9.11-0.1.al7
运行在以下环境
系统 alpine_3.10 mysql * Up to
(excluding)
7.281.2.6.24-r0
运行在以下环境
系统 alpine_3.11 mysql * Up to
(excluding)
7.281.2.6.24-r0
运行在以下环境
系统 alpine_3.12 mysql * Up to
(excluding)
11.0.9_p11-r0
运行在以下环境
系统 alpine_3.13 mysql * Up to
(excluding)
7.271.2.6.23-r0
运行在以下环境
系统 alpine_3.7 mysql * Up to
(excluding)
8.272.10-r0
运行在以下环境
系统 alpine_3.8 mysql * Up to
(excluding)
8.272.10-r0
运行在以下环境
系统 alpine_3.9 mysql * Up to
(excluding)
8.272.10-r0
运行在以下环境
系统 alpine_edge mysql * Up to
(excluding)
7.271.2.6.23-r0
运行在以下环境
系统 amazon linux_2 mysql * Up to
(excluding)
1.8.0-openjdk-debuginfo-1.8.0.272.b10-1.amzn2.0.1
运行在以下环境
系统 amazon linux_AMI mysql * Up to
(excluding)
5.6.50-1.38.amzn1
运行在以下环境
系统 amazon_2 mysql * Up to
(excluding)
1.8.0-openjdk-javadoc-1.8.0.272.b10-1.amzn2.0.1
运行在以下环境
系统 amazon_AMI mysql * Up to
(excluding)
5.6.50-1.38.amzn1
运行在以下环境
系统 centos_6 mysql * Up to
(excluding)
1.8.0.272.b10-0.el6_10
运行在以下环境
系统 centos_8 mysql * Up to
(excluding)
8.0.26-1.module+el8.4.0+12359+b8928c02
运行在以下环境
系统 debian_10 mysql * Up to
(excluding)
11.0.9+11-1~deb10u1
运行在以下环境
系统 debian_9 mysql * Up to
(excluding)
8u272-b10-0+deb9u1
运行在以下环境
系统 fedora_31 mysql * Up to
(excluding)
8.0.22-1.fc31
运行在以下环境
系统 fedora_31_Modular mysql * Up to
(excluding)
8.0-3120201027185759.f636be4b
运行在以下环境
系统 fedora_32 mysql * Up to
(excluding)
8.0.22-1.fc32
运行在以下环境
系统 fedora_32_Modular mysql * Up to
(excluding)
8.0-3220201027185759.43bbeeef
运行在以下环境
系统 fedora_33 mysql * Up to
(excluding)
8.0.22-1.fc33
运行在以下环境
系统 fedora_33_Modular mysql * Up to
(excluding)
8.0-3320201027185759.601d93de
运行在以下环境
系统 microsoft windows_10 1709 -
运行在以下环境
系统 microsoft windows_10 1803 -
运行在以下环境
系统 microsoft windows_10 1809 -
运行在以下环境
系统 microsoft windows_10 1903 -
运行在以下环境
系统 microsoft windows_10 1909 -
运行在以下环境
系统 microsoft windows_10 2004 -
运行在以下环境
系统 microsoft windows_server_2016 1903 -
运行在以下环境
系统 microsoft windows_server_2016 1909 -
运行在以下环境
系统 microsoft windows_server_2016 2004 -
运行在以下环境
系统 microsoft windows_server_2019 - -
运行在以下环境
系统 opensuse_Leap_15.1 mysql * Up to
(excluding)
1.8.0.272-lp151.2.15.1
运行在以下环境
系统 opensuse_Leap_15.2 mysql * Up to
(excluding)
1.8.0.272-lp152.3.3.1
运行在以下环境
系统 oracle linux_6 mysql * Up to
(excluding)
1.8.0.272.b10-0.el6_10
运行在以下环境
系统 oracle linux_7 mysql * Up to
(excluding)
11.0.9.11-0.0.1.el7_9
运行在以下环境
系统 oracle linux_8 mysql * Up to
(excluding)
11.0.9.11-0.el8_2
运行在以下环境
系统 oracle_6 mysql * Up to
(excluding)
1.8.0.272.b10-0.el6_10
运行在以下环境
系统 oracle_7 mysql * Up to
(excluding)
11.0.9.11-0.0.1.el7_9
运行在以下环境
系统 oracle_8 mysql * Up to
(excluding)
2.7.0.20070801-16.0.1.module+el8.0.0+5253+1dce7bb2
运行在以下环境
系统 redhat_6 java-1.8.0-openjdk * Up to
(excluding)
1:1.8.0.272.b10-0.el6_10
运行在以下环境
系统 redhat_7 java-1.8.0-openjdk * Up to
(excluding)
1:1.8.0.272.b10-1.el7_9
运行在以下环境
系统 redhat_7 java-11-openjdk * Up to
(excluding)
1:11.0.9.11-0.el7_9
运行在以下环境
系统 redhat_8 mysql * Up to
(excluding)
1.8.0.6.20-1.el8_3
运行在以下环境
系统 sles_12_SP5 mysql * Up to
(excluding)
1.8.0_sr6.20-30.78.1
运行在以下环境
系统 suse_12_SP5 mysql * Up to
(excluding)
1.8.0_sr6.20-30.78.1
运行在以下环境
系统 ubuntu_16.04.7_lts mysql-5.7 * Up to
(excluding)
5.7.32-0ubuntu0.16.04.1
运行在以下环境
系统 ubuntu_18.04.5_lts mysql-5.7 * Up to
(excluding)
5.7.32-0ubuntu0.18.04.1
CVSS3评分
7.8
  • 攻击路径
    本地
  • 攻击复杂度
  • 权限要求
  • 影响范围
    未更改
  • 用户交互
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-269 特权管理不恰当
NVD-CWE-noinfo
阿里云安全产品覆盖情况